package com.bonus.canteen.core.menu.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@TableName("menu_material")
@ApiModel("商家食材原料信息")
public class MenuMaterial extends Model<MenuMaterial> {
   private static final long serialVersionUID = 1L;
   @TableId
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("食材id")
   private Long materialId;
   @ApiModelProperty("食材名称")
   private String materialName;
   @ApiModelProperty("原料编码")
   private String materialCode;
   @ApiModelProperty("拼音首字母")
   private String pinyinInitials;
   @ApiModelProperty("拼音全拼")
   private String pinyinFull;
   @ApiModelProperty("原料图片")
   private String imageUrl;
   @ApiModelProperty("营养信息")
   private Long nutritionId;
   @ApiModelProperty("类别id")
   private Long categoryId;
   @ApiModelProperty("原料类型(1原料2商品)")
   private Integer materialType;
   @ApiModelProperty("条码")
   private String barCode;
   @ApiModelProperty("单位")
   private Long unitId;
   @ApiModelProperty("零售价")
   private Integer salePrice;
   @ApiModelProperty("进价")
   private Integer unitPrice;
   @ApiModelProperty("售卖类型(1按份2称重)")
   private Integer salesMode;
   @ApiModelProperty("预留比例(0-100)")
   private Integer reserveRate;
   @ApiModelProperty("保质期类型 1年 2月 3日")
   private Integer shelfLifeType;
   @ApiModelProperty("保质期数")
   private Integer shelfLifeDays;
   @ApiModelProperty("资格证书")
   private Long certId;
   @ApiModelProperty("删除标识(1删除,2正常)")
   private Integer delFlag;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @TableField(
      value = "crtime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;
   @TableField(
      value = "uptime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @ApiModelProperty("简介")
   private String synopsis;
   @ApiModelProperty("采购价格上限")
   private Integer purPriceCeiling;
   @ApiModelProperty("区域ID")
   private Long areaId;
   @ApiModelProperty("大类id")
   private Long bigCategoryId;
   @ApiModelProperty("规格")
   private String size;
   @ApiModelProperty("税率")
   private Integer taxRate;
   @ApiModelProperty("基础单位转换g")
   private Integer convertGrams;
   @ApiModelProperty("禁用状态 1启用 2禁用")
   private Integer disableStatus;

   public Long getId() {
      return this.id;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getMaterialName() {
      return this.materialName;
   }

   public String getMaterialCode() {
      return this.materialCode;
   }

   public String getPinyinInitials() {
      return this.pinyinInitials;
   }

   public String getPinyinFull() {
      return this.pinyinFull;
   }

   public String getImageUrl() {
      return this.imageUrl;
   }

   public Long getNutritionId() {
      return this.nutritionId;
   }

   public Long getCategoryId() {
      return this.categoryId;
   }

   public Integer getMaterialType() {
      return this.materialType;
   }

   public String getBarCode() {
      return this.barCode;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public Integer getSalePrice() {
      return this.salePrice;
   }

   public Integer getUnitPrice() {
      return this.unitPrice;
   }

   public Integer getSalesMode() {
      return this.salesMode;
   }

   public Integer getReserveRate() {
      return this.reserveRate;
   }

   public Integer getShelfLifeType() {
      return this.shelfLifeType;
   }

   public Integer getShelfLifeDays() {
      return this.shelfLifeDays;
   }

   public Long getCertId() {
      return this.certId;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public String getSynopsis() {
      return this.synopsis;
   }

   public Integer getPurPriceCeiling() {
      return this.purPriceCeiling;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public Long getBigCategoryId() {
      return this.bigCategoryId;
   }

   public String getSize() {
      return this.size;
   }

   public Integer getTaxRate() {
      return this.taxRate;
   }

   public Integer getConvertGrams() {
      return this.convertGrams;
   }

   public Integer getDisableStatus() {
      return this.disableStatus;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setMaterialCode(final String materialCode) {
      this.materialCode = materialCode;
   }

   public void setPinyinInitials(final String pinyinInitials) {
      this.pinyinInitials = pinyinInitials;
   }

   public void setPinyinFull(final String pinyinFull) {
      this.pinyinFull = pinyinFull;
   }

   public void setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
   }

   public void setNutritionId(final Long nutritionId) {
      this.nutritionId = nutritionId;
   }

   public void setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
   }

   public void setMaterialType(final Integer materialType) {
      this.materialType = materialType;
   }

   public void setBarCode(final String barCode) {
      this.barCode = barCode;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setSalePrice(final Integer salePrice) {
      this.salePrice = salePrice;
   }

   public void setUnitPrice(final Integer unitPrice) {
      this.unitPrice = unitPrice;
   }

   public void setSalesMode(final Integer salesMode) {
      this.salesMode = salesMode;
   }

   public void setReserveRate(final Integer reserveRate) {
      this.reserveRate = reserveRate;
   }

   public void setShelfLifeType(final Integer shelfLifeType) {
      this.shelfLifeType = shelfLifeType;
   }

   public void setShelfLifeDays(final Integer shelfLifeDays) {
      this.shelfLifeDays = shelfLifeDays;
   }

   public void setCertId(final Long certId) {
      this.certId = certId;
   }

   public void setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setSynopsis(final String synopsis) {
      this.synopsis = synopsis;
   }

   public void setPurPriceCeiling(final Integer purPriceCeiling) {
      this.purPriceCeiling = purPriceCeiling;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setBigCategoryId(final Long bigCategoryId) {
      this.bigCategoryId = bigCategoryId;
   }

   public void setSize(final String size) {
      this.size = size;
   }

   public void setTaxRate(final Integer taxRate) {
      this.taxRate = taxRate;
   }

   public void setConvertGrams(final Integer convertGrams) {
      this.convertGrams = convertGrams;
   }

   public void setDisableStatus(final Integer disableStatus) {
      this.disableStatus = disableStatus;
   }
}
